%define Uname	RepSys

Name:		repsys
Version:	1.14.3
Release:	%mkrel 1
Epoch:		1
Summary:	Tools for repository access and management for Mandrake Linux derived distros
Group:		Development/Other
License:	GPLv2+
URL:		https://wiki.mageia.org/en/Mgarepo
Source0:	https://github.com/DrakXtools/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

# Backports from upstream
Patch0:		0001-fix-git-svn-clone.patch

BuildArch:	noarch
BuildRequires:	python3-devel

Requires:	git-svn
Requires:	openssh-clients
#Requires:	python-cheetah
Requires:	rpm-mageia-setup-build
Requires:	subversion
Requires:	wget

%description
Tools for repository access and management for Mandrake Linux derived distros.

Original wiki page for available at:
http://archive.openmandriva.org/wiki/en/index.php?title=Repsys

%package	ldap
Summary:	%{Uname} plug-in to retrieve maintainer information from LDAP
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	python3-ldap3

%description	ldap
A repsys plugin that allows retrieving maintainer information shown in
changelogs from a LDAP server.

See %{name} --help-plugin ldapusers for more information.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%files
%doc CHANGES %{name}-example.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-ssh
%{_datadir}/%{name}
%{_mandir}/*/*
%{python3_sitelib}/%{Uname}
%exclude %{python3_sitelib}/%{Uname}/plugins/ldapusers.py*
%exclude %{python3_sitelib}/%{Uname}/plugins/__pycache__/__init__*
%exclude %{python3_sitelib}/%{Uname}/plugins/__pycache__/ldapusers*
%{python3_sitelib}/*.egg-info
%{_datadir}/bash-completion/completions/%{name}

%files ldap
%doc README.LDAP
%{python3_sitelib}/%{Uname}/plugins/ldapusers.py*
%{python3_sitelib}/%{Uname}/plugins/__pycache__/__init__*
%{python3_sitelib}/%{Uname}/plugins/__pycache__/ldapusers*


%changelog
* Sat Feb 25 2017 ngompa <ngompa> 1:1.14.3-1.mga6
+ Revision: 1087842
- Update to v1.14.3
- Add backported patch to fix git-svn checkouts

* Fri Jan 06 2017 ngompa <ngompa> 1:1.14.1-1.mga6
+ Revision: 1080315
- Update to latest version by revived upstream (spec contributed by proyvind)

* Mon Feb 08 2016 umeabot <umeabot> 1:1.11-10.mga6
+ Revision: 944197
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.11-9.mga5
+ Revision: 750766
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:1.11-8.mga5
+ Revision: 730090
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:1.11-7.mga5
+ Revision: 688660
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1:1.11-5.mga4
+ Revision: 544465
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1:1.11-4.mga4
+ Revision: 499829
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 1:1.11-3.mga3
+ Revision: 380322
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 solbu <solbu> 1:1.11-2.mga3
+ Revision: 343337
- Update new build-host in config

* Wed Sep 07 2011 tv <tv> 1:1.11-1.mga2
+ Revision: 139985
- new release

* Thu Jul 14 2011 ahmad <ahmad> 1:1.10-3.mga2
+ Revision: 124051
- Fix the release tag
- Clean the spec
- imported package repsys

